Skip to main content
`Ctrl`+`K`

# pandas.core.resample.Resampler.mean

final Resampler.mean(numeric_only=False, *args, **kwargs)

  Compute mean of groups, excluding missing values.

  Parameters:
    numeric_only bool, default False

      Include only float, int or boolean data.

      Changed in version 2.0.0: numeric_only now defaults to `False`.

  Returns:
    DataFrame or Series

      Mean of values within each group.

  Examples

      >>> ser = pd.Series([1, 2, 3, 4], index=pd.DatetimeIndex(
      ...                 ['2023-01-01', '2023-01-15', '2023-02-01', '2023-02-15']))
      >>> ser
      2023-01-01    1
      2023-01-15    2
      2023-02-01    3
      2023-02-15    4
      dtype: int64
      >>> ser.resample('MS').mean()
      2023-01-01    1.5
      2023-02-01    3.5
      Freq: MS, dtype: float64